(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23750,        632]
NotebookOptionsPosition[     21731,        570]
NotebookOutlinePosition[     22117,        587]
CellTagsIndexPosition[     22074,        584]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Orbits of Less Rank", "Title",
 CellChangeTimes->{{3.684046664843328*^9, 3.6840467054835567`*^9}}],

Cell["\<\
This is a subnotebook to  EuCurvesv2.nb or EuCurvesv3.nb, Section 5.2.

It can be used stand alone, too.
Revised September 26, 2016.
\
\>", "Text",
 CellChangeTimes->{{3.6199514215243607`*^9, 3.619951497465294*^9}, 
   3.6199596640952377`*^9, {3.619961232390788*^9, 3.619961246277582*^9}, {
   3.6205414691273284`*^9, 3.6205414835661545`*^9}, {3.620541538470295*^9, 
   3.620541553462152*^9}, {3.6205416485105886`*^9, 3.6205416712458887`*^9}, {
   3.6292705797244034`*^9, 3.629270595980632*^9}, {3.684045644757533*^9, 
   3.684045657076239*^9}, {3.6840467190826902`*^9, 3.684046778594496*^9}}],

Cell[CellGroupData[{

Cell["Example. The orbits of rank less than 4.", "Subsubsection",
 CellChangeTimes->{{3.619937814745821*^9, 3.6199378401292725`*^9}, {
  3.6199515820798426`*^9, 3.619951603046279*^9}}],

Cell["The general orbit we consider is", "Text",
 CellChangeTimes->{{3.6199516932924376`*^9, 3.619951707519663*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "xxx", "]"}], ";", 
  RowBox[{
   RowBox[{"xxx", "[", "t_", "]"}], " ", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", "b", "]"}], " ", 
       RowBox[{"Cos", "[", "t", "]"}]}], "-", 
      RowBox[{"r", " ", 
       RowBox[{"Sin", "[", "b", "]"}], " ", 
       RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", "b", "]"}]}], "+", 
      RowBox[{"r", " ", 
       RowBox[{"Cos", "[", "b", "]"}], " ", 
       RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"Rr", " ", 
       RowBox[{"Cos", "[", "c", "]"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"a", " ", "t"}], "]"}]}], "-", 
      RowBox[{"Rr", " ", 
       RowBox[{"Sin", "[", "c", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"a", " ", "t"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"Rr", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"a", " ", "t"}], "]"}], " ", 
       RowBox[{"Sin", "[", "c", "]"}]}], "+", 
      RowBox[{"Rr", " ", 
       RowBox[{"Cos", "[", "c", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"a", " ", "t"}], "]"}]}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.454074352890625*^9, 3.454074357171875*^9}, 
   3.541836408373073*^9, 3.5418367181715307`*^9, {3.6199516096762905`*^9, 
   3.6199516429355493`*^9}, {3.684045917333227*^9, 3.684045929340282*^9}, {
   3.6840459940325747`*^9, 3.684046001192029*^9}}],

Cell[BoxData[
 RowBox[{"xxx", "[", "t", "]"}]], "Input",
 CellChangeTimes->{{3.6199516544171696`*^9, 3.619951657537175*^9}}],

Cell["\<\
For r=Rr=0 the orbit is the origin. If this is excluded, the orbits in the \
cases a=0, r=0, or Rr=0 are circles :\
\>", "Text",
 CellChangeTimes->{{3.453903572015625*^9, 3.453903617640625*^9}, 
   3.454077439921875*^9, 3.4540774953125*^9, {3.4540775575625*^9, 
   3.454077576171875*^9}, {3.454077980875*^9, 3.45407813303125*^9}, 
   3.5418364083740587`*^9, 3.541836718173039*^9, 3.619785751861357*^9, {
   3.684046117491817*^9, 3.684046119099379*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"xx0", "[", "t_", "]"}], "=", " ", 
  RowBox[{
   RowBox[{"xxx", "[", "t", "]"}], " ", "/.", " ", 
   RowBox[{"a", "\[Rule]", "0"}]}]}]], "Input",
 CellChangeTimes->{{3.453903625296875*^9, 3.453903644125*^9}, {
   3.454078156546875*^9, 3.454078203765625*^9}, 3.5418364083741827`*^9, 
   3.541836718173173*^9, {3.619609453280796*^9, 3.619609456390349*^9}}],

Cell["Indeed, setting the phases b == c == 0, we get", "Text",
 CellChangeTimes->{{3.619960044080705*^9, 3.619960085607978*^9}}],

Cell[BoxData[
 RowBox[{"%", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"b", "\[Rule]", " ", "0"}], ",", " ", 
    RowBox[{"c", "\[Rule]", "0"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.619960090662387*^9, 3.6199601159656315`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"Cos", "[", "t", "]"}]}], ",", 
      RowBox[{"2", " ", 
       RowBox[{"Sin", "[", "t", "]"}]}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"2", "*", "Pi"}]}], "}"}]}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.6199601508160925`*^9, 3.619960252247471*^9}}],

Cell["\<\
Clearly, each orbit of a subgroup g3D(t) of  the Euclidean group E(3)  is a \
curve of constant curvatures  in 4 dimensions too. In case a=0 also the \
helices appear. The screw motions are not of the shape gm4[a][t] since they \
don't have fixed points. The orthogonal part of a screw motion corresponds to \
  a = 0, and it acts in the orthogonal direction as a translation.  The \
helices have rank 3 and don\[CloseCurlyQuote]t appear in this orbit family.\
\>", "Text",
 CellChangeTimes->{{3.454077638734375*^9, 3.45407767665625*^9}, {
   3.45407837578125*^9, 3.4540785481875*^9}, {3.45407865153125*^9, 
   3.454078835109375*^9}, 3.541836408374227*^9, 3.5418367181732187`*^9, {
   3.619609502815222*^9, 3.6196095043440247`*^9}, 3.6196095682670035`*^9, {
   3.6198432495693817`*^9, 3.6198432556533923`*^9}, {3.6199517877506037`*^9, 
   3.6199517889986057`*^9}, {3.619960311277974*^9, 3.6199603179703865`*^9}, {
   3.619960349264041*^9, 3.61996037706329*^9}}],

Cell["Cases a =1, a= -1 yield circles, too:", "Text",
 CellChangeTimes->{{3.453903757171875*^9, 3.453903782453125*^9}, {
   3.453904048015625*^9, 3.453904065296875*^9}, {3.453904138546875*^9, 
   3.453904169640625*^9}, {3.453904482578125*^9, 3.453904484546875*^9}, 
   3.454078853390625*^9, 3.541836408374255*^9, 3.5418367181732473`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"xx", "[", "t_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"xxx", "[", "t", "]"}], "/.", " ", 
   RowBox[{"a", " ", "\[Rule]", " ", "1"}]}]}]], "Input",
 CellChangeTimes->{{3.453903798515625*^9, 3.45390384928125*^9}, {
   3.45407886340625*^9, 3.454078904375*^9}, 3.541836408374387*^9, 
   3.541836718173378*^9}],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Norm", "[", "%", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", ">", "0"}], ",", 
     RowBox[{"Rr", ">", "0"}], ",", 
     RowBox[{"a", "\[Element]", "Reals"}], ",", " ", 
     RowBox[{"b", "\[Element]", "Reals"}], ",", " ", 
     RowBox[{"c", "\[Element]", "Reals"}], ",", " ", 
     RowBox[{"t", "\[Element]", "Reals"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6198434138064704`*^9, 3.6198434501701345`*^9}, 
   3.620541782179234*^9, 3.6840458179944477`*^9, 3.684046345541831*^9, 
   3.684046405197229*^9}],

Cell[BoxData[
 RowBox[{"MatrixRank", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xx", "[", "t", "]"}], ",", "t"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xx", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "2"}], "}"}]}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xx", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.454078928140625*^9, 3.454079038390625*^9}, 
   3.541836408374647*^9, 3.541836718173662*^9, {3.6205417938649025`*^9, 
   3.6205417992662115`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"xx", "[", "t_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"xxx", "[", "t", "]"}], "/.", " ", 
   RowBox[{"a", " ", "\[Rule]", " ", 
    RowBox[{"-", "1"}]}]}]}]], "Input",
 CellChangeTimes->{{3.453903798515625*^9, 3.45390384928125*^9}, {
   3.45407886340625*^9, 3.454078904375*^9}, 3.4540790823125*^9, 
   3.54183640837481*^9, 3.541836718173813*^9}],

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"Norm", "[", "%", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", ">", "0"}], ",", 
     RowBox[{"Rr", ">", "0"}], ",", 
     RowBox[{"a", "\[Element]", "Reals"}], ",", " ", 
     RowBox[{"b", "\[Element]", "Reals"}], ",", " ", 
     RowBox[{"c", "\[Element]", "Reals"}], ",", " ", 
     RowBox[{"t", "\[Element]", "Reals"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.6205418117929277`*^9, {3.6205419465206337`*^9, 3.6205419662017593`*^9}, {
   3.6205420575079823`*^9, 3.62054217985698*^9}, 3.6840461856700974`*^9, 
   3.684046379732912*^9}],

Cell[BoxData[
 RowBox[{"MatrixRank", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xx", "[", "t", "]"}], ",", "t"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xx", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "2"}], "}"}]}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xx", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.453903859375*^9, 3.4539039749375*^9}, 
   3.541836408375064*^9, 3.541836718174062*^9, 3.620541833058144*^9}],

Cell["\<\
In both cases the curves are plane curves of constant non zero curvatures, \
thus circles. \
\>", "Text",
 CellChangeTimes->{{3.454079144140625*^9, 3.4540792161875*^9}, {
   3.45413372371875*^9, 3.4541337535*^9}, {3.4541338180625*^9, 
   3.454133842640625*^9}, 3.541836408375108*^9, 3.541836718174103*^9, 
   3.619951844441103*^9}],

Cell["Now consider", "Text",
 CellChangeTimes->{{3.6199518604623313`*^9, 3.619951874689556*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cmt5", "[", "a_", "]"}], ":=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"-", "a"}], ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "a", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"w", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.454134477046875*^9, 3.454134491046875*^9}, 
   3.541836408375196*^9, 3.5418367181741858`*^9, {3.619953401479838*^9, 
   3.6199534405111065`*^9}, {3.6199534768279705`*^9, 3.61995355660651*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cmt5", "[", "a", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.6199535762781453`*^9, 3.61995359027137*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"cmt5", "[", "a", "]"}], ".", 
     RowBox[{"{", 
      RowBox[{"1", ",", "b1", ",", "b2", ",", "b3", ",", "b4"}], "}"}]}], 
    "\[Equal]", " ", 
    RowBox[{"null", "[", "5", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"b1", ",", "b2", ",", "b3", ",", "b4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4540500178125*^9, 3.4540501053125*^9}, 
   3.45413401365625*^9, {3.4541341475*^9, 3.454134248671875*^9}, 
   3.5418364083754063`*^9, 3.541836718174387*^9, {3.619953615371814*^9, 
   3.6199536197086215`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"cmt5", "[", "0", "]"}], ".", 
     RowBox[{"{", 
      RowBox[{"1", ",", "b1", ",", "b2", ",", "b3", ",", "b4"}], "}"}]}], 
    "\[Equal]", " ", 
    RowBox[{"null", "[", "5", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"b1", ",", "b2", ",", "b3", ",", "b4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4540500178125*^9, 3.4540501053125*^9}, 
   3.45413401365625*^9, {3.4541341475*^9, 3.454134248671875*^9}, 
   3.5418364083754063`*^9, 3.541836718174387*^9, {3.619953615371814*^9, 
   3.619953648943073*^9}}],

Cell["Also for a== 0 no fixed point exists.", "Text",
 CellChangeTimes->{{3.61995195098929*^9, 3.6199519794437404`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"cmt5", "[", "a", "]"}], ".", 
     RowBox[{"{", 
      RowBox[{"0", ",", "b1", ",", "b2", ",", "b3", ",", "b4"}], "}"}]}], 
    "\[Equal]", " ", 
    RowBox[{"null", "[", "5", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"b1", ",", "b2", ",", "b3", ",", "b4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4540500178125*^9, 3.4540501053125*^9}, 
   3.45413401365625*^9, {3.4541341475*^9, 3.454134248671875*^9}, 
   3.5418364083754063`*^9, 3.541836718174387*^9, {3.6199520091305923`*^9, 
   3.619952016431405*^9}, {3.6199536685991073`*^9, 3.6199536751511188`*^9}}],

Cell["Any vector of the form {0,0,0,u,v} remains fixed", "Text",
 CellChangeTimes->{{3.454134730984375*^9, 3.454134870953125*^9}, {
   3.454135615546875*^9, 3.45413561659375*^9}, 3.5418364083757153`*^9, 
   3.541836718174706*^9, {3.619952362440013*^9, 3.6199524276169276`*^9}, {
   3.6199524724358063`*^9, 3.619952475134611*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cmt5", "[", "a", "]"}], ".", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "0", ",", "u", ",", "v"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.454135828609375*^9, 3.454135863671875*^9}, 
   3.5418364083760347`*^9, 3.541836718175012*^9, 3.619952455728177*^9, 
   3.619952501420657*^9, 3.619953695337554*^9, 3.6199611451047955`*^9}],

Cell["\<\
Otherwise, if z or w don't vanish, the subgroup is a screw motion, the orbits \
are helices in a hyperplane (see section 5.1):\
\>", "Text",
 CellChangeTimes->{{3.454135967625*^9, 3.454136089625*^9}, {
   3.4541370080625*^9, 3.454137046328125*^9}, 3.5418364083762083`*^9, 
   3.541836718175181*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cmtt", "[", 
   RowBox[{"a_", ",", "z_"}], "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"cmt5", "[", "a", "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}], ",", 
     RowBox[{"w", "\[Rule]", "0"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.45413612171875*^9, 3.45413619390625*^9}, {
   3.454136568984375*^9, 3.45413657240625*^9}, {3.454136728390625*^9, 
   3.454136732375*^9}, 3.541836408376357*^9, 3.541836718175331*^9, 
   3.619950587328495*^9, {3.6199526317120857`*^9, 3.6199526518517213`*^9}, {
   3.6199537494696493`*^9, 3.619953794990529*^9}}],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.45413658134375*^9, 3.454136589171875*^9}, 
   3.541836408376442*^9, 3.541836718175416*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"gmtt", "[", 
    RowBox[{"a_", ",", "z_"}], "]"}], "[", "t_", "]"}], " ", ":=", 
  RowBox[{"MatrixExp", "[", 
   RowBox[{
    RowBox[{"cmtt", "[", 
     RowBox[{"a", ",", "z"}], "]"}], "*", "t"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.454136222390625*^9, 3.454136263484375*^9}, {
   3.454136833734375*^9, 3.454136901625*^9}, 3.5418364083766003`*^9, 
   3.541836718175589*^9, {3.6199538218381767`*^9, 3.619953838998206*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gmtt", "[", 
   RowBox[{"a", ",", "z"}], "]"}], "[", "t", "]"}]], "Input",
 CellChangeTimes->{{3.619952877131717*^9, 3.6199528979109535`*^9}, {
  3.6199538526794305`*^9, 3.619953854192633*^9}}],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.454136919546875*^9, 3.454136947234375*^9}, 
   3.5418364083767242`*^9, 3.5418367181757183`*^9, {3.6199506380441847`*^9, 
   3.619950662770228*^9}, 3.619953866001854*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"gm3D", "[", 
    RowBox[{"a_", ",", "z_"}], "]"}], "[", "t_", "]"}], " ", ":=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"a", " ", "t"}], "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"Sin", "[", 
        RowBox[{"a", " ", "t"}], "]"}]}], ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"Sin", "[", 
       RowBox[{"a", " ", "t"}], "]"}], ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"a", " ", "t"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", " ", "z"}], ",", "0", ",", "0", ",", "1", ",", "0"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6199509026362495`*^9, 3.6199509436955214`*^9}, {
   3.6199529481430416`*^9, 3.619952956863457*^9}, 3.619954239014109*^9, {
   3.6199546323375998`*^9, 3.6199546367680073`*^9}}],

Cell["\<\
For z=w=0 the curves are circles, and if B=0 is of rank 0, the group is a \
translation group or trivial:\
\>", "Text",
 CellChangeTimes->{{3.454137100703125*^9, 3.45413720778125*^9}, {
   3.454137251953125*^9, 3.45413726890625*^9}, 3.5418364083767776`*^9, 
   3.5418367181757603`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tr", "[", "a_", "]"}], " ", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.454137272515625*^9, 3.454137278875*^9}, {
   3.454137311546875*^9, 3.454137389796875*^9}, 3.541836408376946*^9, 
   3.541836718175927*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixExp", "[", 
   RowBox[{
    RowBox[{"tr", "[", "a", "]"}], "*", "t"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.45413739721875*^9, 3.45413742790625*^9}, 
   3.541836408377084*^9, 3.541836718176065*^9}],

Cell[BoxData[
 RowBox[{"%", ".", 
  RowBox[{"{", 
   RowBox[{"1", ",", "x", ",", "y", ",", "z", ",", "w"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.4541374440625*^9, 3.45413746953125*^9}, 
   3.541836408377206*^9, 3.541836718176189*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"gm3D", "[", 
    RowBox[{"a", ",", "z"}], "]"}], "[", "t", "]"}], ".", 
  RowBox[{"{", 
   RowBox[{"1", ",", " ", "2", ",", "0", ",", "0", ",", "0"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6199497715094624`*^9, 3.6199497830846825`*^9}, {
   3.61994986704403*^9, 3.619949944856967*^9}, {3.6199499758854213`*^9, 
   3.619950040547535*^9}, 3.619950087035617*^9, {3.6199501370961046`*^9, 
   3.61995013996651*^9}, {3.619950216625044*^9, 3.619950221071052*^9}, 
   3.6199503324708476`*^9, {3.619950799863269*^9, 3.6199508418585424`*^9}, {
   3.619950963523156*^9, 3.619950964568358*^9}, {3.619954715516946*^9, 
   3.6199547163749475`*^9}, {3.6199548044371023`*^9, 3.6199548091639104`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"gm3D", "[", 
    RowBox[{"a", ",", "z"}], "]"}], "[", "t", "]"}], ".", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "0", ",", "4", ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6199497715094624`*^9, 3.6199497830846825`*^9}, {
   3.61994986704403*^9, 3.619949944856967*^9}, {3.6199499758854213`*^9, 
   3.619950040547535*^9}, 3.619950087035617*^9, {3.6199501370961046`*^9, 
   3.61995013996651*^9}, {3.619950216625044*^9, 3.619950221071052*^9}, 
   3.6199503324708476`*^9, {3.619950799863269*^9, 3.6199508418585424`*^9}, {
   3.619950963523156*^9, 3.619950964568358*^9}, {3.6199510053468294`*^9, 
   3.619951040228491*^9}, {3.6199531155157356`*^9, 3.6199531775726447`*^9}, {
   3.619953208382699*^9, 3.6199532254023285`*^9}, 3.6199532554791813`*^9, {
   3.619954833905554*^9, 3.6199548366667585`*^9}, 3.6199548889268503`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"gm3D", "[", 
    RowBox[{"2", ",", "1"}], "]"}], "[", "t", "]"}], ".", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6199497715094624`*^9, 3.6199497830846825`*^9}, {
   3.61994986704403*^9, 3.619949944856967*^9}, {3.6199499758854213`*^9, 
   3.619950040547535*^9}, 3.619950087035617*^9, {3.6199501370961046`*^9, 
   3.61995013996651*^9}, {3.619950216625044*^9, 3.619950221071052*^9}, 
   3.6199503324708476`*^9, {3.619950799863269*^9, 3.6199508418585424`*^9}, {
   3.619950963523156*^9, 3.619950964568358*^9}, {3.6199510053468294`*^9, 
   3.619951040228491*^9}, {3.6199531155157356`*^9, 3.6199531775726447`*^9}, {
   3.619953208382699*^9, 3.6199532254023285`*^9}, 3.6199532554791813`*^9, {
   3.619954833905554*^9, 3.6199548366667585`*^9}, 3.6199548889268503`*^9, {
   3.6199549623873796`*^9, 3.6199550026510506`*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"2", " ", "t"}], "]"}], ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "t"}], "]"}], ",", 
     RowBox[{"1", "+", "t"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"6", "*", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6199493809783764`*^9, 3.619949419026843*^9}, {
   3.6199494632217207`*^9, 3.6199494671685276`*^9}, {3.619950256249114*^9, 
   3.6199502953895826`*^9}, {3.6199503478368745`*^9, 3.619950364653704*^9}, 
   3.6199510795249596`*^9, 3.6199550305750995`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1280, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification:>1.5 Inherited,
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 104, 1, 134, "Title"],
Cell[686, 25, 603, 12, 160, "Text"],
Cell[CellGroupData[{
Cell[1314, 41, 184, 2, 50, "Subsubsection"],
Cell[1501, 45, 116, 1, 45, "Text"],
Cell[1620, 48, 1561, 42, 104, "Input"],
Cell[3184, 92, 124, 2, 45, "Input"],
Cell[3311, 96, 462, 8, 46, "Text"],
Cell[3776, 106, 389, 8, 45, "Input"],
Cell[4168, 116, 128, 1, 45, "Text"],
Cell[4299, 119, 237, 6, 45, "Input"],
Cell[4539, 127, 453, 13, 45, "Input"],
Cell[4995, 142, 971, 14, 135, "Text"],
Cell[5969, 158, 337, 4, 45, "Text"],
Cell[6309, 164, 348, 8, 45, "Input"],
Cell[6660, 174, 597, 14, 45, "Input"],
Cell[7260, 190, 665, 19, 45, "Input"],
Cell[7928, 211, 387, 9, 45, "Input"],
Cell[8318, 222, 631, 15, 45, "Input"],
Cell[8952, 239, 628, 18, 45, "Input"],
Cell[9583, 259, 341, 7, 45, "Text"],
Cell[9927, 268, 96, 1, 45, "Text"],
Cell[10026, 271, 810, 19, 45, "Input"],
Cell[10839, 292, 157, 3, 45, "Input"],
Cell[10999, 297, 604, 15, 45, "Input"],
Cell[11606, 314, 602, 15, 45, "Input"],
Cell[12211, 331, 120, 1, 45, "Text"],
Cell[12334, 334, 654, 15, 45, "Input"],
Cell[12991, 351, 329, 4, 45, "Text"],
Cell[13323, 357, 367, 7, 45, "Input"],
Cell[13693, 366, 308, 6, 74, "Text"],
Cell[14004, 374, 659, 15, 45, "Input"],
Cell[14666, 391, 172, 3, 45, "Input"],
Cell[14841, 396, 473, 11, 45, "Input"],
Cell[15317, 409, 228, 5, 45, "Input"],
Cell[15548, 416, 251, 4, 45, "Input"],
Cell[15802, 422, 1137, 31, 75, "Input"],
Cell[16942, 455, 295, 6, 45, "Text"],
Cell[17240, 463, 732, 18, 45, "Input"],
Cell[17975, 483, 265, 7, 45, "Input"],
Cell[18243, 492, 237, 5, 45, "Input"],
Cell[18483, 499, 738, 14, 45, "Input"],
Cell[19224, 515, 881, 15, 45, "Input"],
Cell[20108, 532, 935, 16, 45, "Input"],
Cell[21046, 550, 657, 16, 45, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
